Bug 14817 - Anaconda doesn't eject CD if only CD#1 is used during installation
Summary: Anaconda doesn't eject CD if only CD#1 is used during installation
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
high
low
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard: Winston rc1
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-28 19:02 UTC by John Cagle
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-09 13:50:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Cagle 2000-07-28 19:02:30 UTC
At the end of a successful installation, Anaconda doesn't eject CD if only CD#1 is used during installation.

On installations that ask for CD#2, it will properly eject CD#2 when finished.

I think this bug first showed up in beta 4.

To reproduce, just do a simple server installation - it won't ask for CD#2 and it won't eject CD#1.

Comment 1 Glen Foster 2000-07-30 22:05:27 UTC
This defect is considered MUST-FIX for Winston Release-Candidate #1

Comment 2 Brock Organ 2000-07-31 15:34:59 UTC
verified the problem ... thanks for your report!

Comment 3 Erik Troan 2000-07-31 20:49:04 UTC
Fixed.

Comment 4 Brock Organ 2000-08-01 23:08:40 UTC
fix fails in internal build for TUI install:

traceback:
File "/usr/bin/anaconda", line 426, in ? intf.run (todo, test=test)
File "/var/tmp/anaconda-7.0//usr/lib/anaconda/text.py", line 1021 in run rc =
apply (step[1](), step[2])
File "/var/tmp/anaconda-7.0//usr/lib/anaconda/text.py", line 504 in __call__ if
todo.doInstall():
File "/var/tmp/anaconda-7.0//usr/lib/anaconda/todo.py", line 1576 in doInstall
self.method.filesDone()
File "/var/tmp/anaconda-7.0//usr/lib/anaconda/image.py", line 86 in filesDone
os.unlink(target)
OSError: [errno 2] no such file or directory //rhinstall-stage2.img


Comment 5 Gene Czarcinski 2000-08-02 09:23:31 UTC
On pinstripe and doing a TUI install (although I suspect the same is true for
GUI):

Does not eject cdrom if a one-cd install.  If it is a two-cdrom instal, the
first cdrom is ejected and a prompt is issued for the second cdrom.  However, at
the end, the 2nd cdron is not ejected.

Comment 6 Erik Troan 2000-08-02 13:49:38 UTC
John, the bug you reported is fixed internally. Unfortuantely, I broke something
else at the
same time.

Matt, can you help ot here as I'm not in the office?

Comment 7 Brock Organ 2000-08-04 15:20:33 UTC
fix verified in internal pinstripe build ...

Comment 8 Brock Organ 2000-08-04 15:26:33 UTC
also noted that the large rhinstall.img file is placed on the partiton with the
most disk space ...

Comment 9 Andrea Borgia 2000-08-09 13:20:28 UTC
Installed Pinstripe from scratch, only 1 cd was used and it was *NOT* ejected at the end.

Comment 10 Michael Fulbright 2000-08-09 13:50:33 UTC
Fixed internally and verified.


Note You need to log in before you can comment on or make changes to this bug.